/* style.css */

/* General Styles */

* {
  box-sizing: border-box;
}

body {
  font-family: "Roboto", Arial, sans-serif;
  line-height: 1.6;
  margin: 0;
  padding: 0;
}

.container {
  max-width: 600px;
  margin: 0 auto;
  padding: 20px;
}

h1 {
  text-align: center;
  font-size: 48px;
  font-family: "Roboto", Arial, sans-serif;
  letter-spacing: 2px;
  margin-bottom: 20px;
  animation: glow 2s infinite;
}



h2 {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
  font-family: "Roboto", Arial, sans-serif;
}

.input-section {
  margin-bottom: 20px;
}

.form-box {
  background-color: #f5f5f5;
  border: 1px solid #ccc;
  padding: 20px;
  border-radius: 4px;
}

.error {
  color: red;
  font-size: 14px;
  margin-bottom: 10px;
}

input[type="number"],
select {
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 16px;
  font-family: "Roboto", Arial, sans-serif;
}

input[type="submit"],
input[type="button"] {
  background-color: #2ecc71;
  color: #fff;
  border: none;
  cursor: pointer;
  padding: 10px 20px;
  font-size: 16px;
  border-radius: 4px;
  font-weight: bold;
  font-family: "Roboto", Arial, sans-serif;
}

input[type="submit"]:hover,
input[type="button"]:hover {
  background-color: #27ae60;
}

.result {
  margin-top: 30px;
  background-color: rgb(223, 240, 216);
  border: 1px solid #ccc;
  padding: 20px;
  border-radius: 4px;
}

.result h2 {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
  font-family: "Roboto", Arial, sans-serif;
}

.result table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 10px;
  margin-bottom: 30px;
}

.result td {
  padding: 10px;
  border: 1px solid #ccc;
  font-size: 16px;
  font-family: "Roboto", Arial, sans-serif;
}

.result td:first-child {
  font-weight: bold;
  width: 40%;
}

.chart-container {
  margin-top: 30px; /* Added margin top */
}

.info-section {
  margin-top: 30px;
  font-family: "Roboto", Arial, sans-serif;
}

.info-section p {
  font-size: 16px;
  margin-bottom: 10px;
}

.info-section ul {
  list-style-type: disc;
  padding-left: 20px;
}

.footer-section {
  margin-top: 30px;
  text-align: center;
  font-size: 14px;
  font-family: "Roboto", Arial, sans-serif;
}

.footer-section a {
  color: #2ecc71;
  text-decoration: none;
}

.heart {
  color: red;
}

/* Media Queries */

@media only screen and (max-width: 767px) {
  .container {
    padding: 10px;
  }

  h1 {
    font-size: 28px;
  }

  h2 {
    font-size: 22px;
  }

  input[type="number"],
  select {
    font-size: 14px;
  }

  input[type="submit"],
  input[type="button"] {
    padding: 8px 16px;
    font-size: 14px;
  }

  .result td {
    font-size: 14px;
  }

  .info-section p,
  .info-section li {
    font-size: 14px;
  }

  .footer-section {
    font-size: 12px;
  }
}
